%bcond_without lz4

Name:           erofs-utils
Version:        1.0
Release:        2%{?dist}

Summary:        Utilities for working with EROFS
License:        GPLv2+
URL:            https://git.kernel.org/pub/scm/linux/kernel/git/xiang/erofs-utils.git

Source0:        %{url}/snapshot/%{name}-%{version}.tar.gz
Source1:        %{url}/plain/man/mkfs.erofs.1?id=a34f86beb16b25cb0f44c85934acb93749fc844c#/mkfs.erofs.1

BuildRequires:  gcc
BuildRequires:  libtool
%if %{with lz4}
BuildRequires:  lz4-devel
%endif

%description
EROFS stands for Enhanced Read-Only File System.  Different from other
read-only file systems, it is designed for flexibility, scalability, and
simplicity for high performance.

The %{name} package includes mkfs.erofs to create EROFS images.


%prep
%autosetup
autoreconf -fi

%build
%configure \
    %{?with_lz4:--enable-lz4} %{!?with_lz4:--disable-lz4}
%make_build

%install
%make_install
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/mkfs.erofs.1


%files
%{_bindir}/mkfs.erofs
%{_mandir}/man1/mkfs.erofs.1*
%doc AUTHORS ChangeLog README
%license COPYING


%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 25 2019 David Michael <fedora.dm0@gmail.com> - 1.0-1
- Initial package.
